Redmine - Feature #12221

Add "View Differences" button above wiki and repository revisions table
2012-10-26 14:26 - Fernando Hartmann

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 4.0.0

Resolution: Fixed

Description

When we have a lot of wiki updates I, normally compares the last one, but as the button to start the comparison is only on the bottom
of the list, | always need to go to the end of the list to press the button.
Why not put a button on the top too ? This can be a nice usability improvement.

Associated revisions

Revision 17492 - 2018-09-18 12:32 - Go MAEDA

Add "View Differences" button above wiki and repository revisions table (#12221).

Patch by Go MAEDA.

History

#1 - 2018-09-17 14:24 - Go MAEDA
- File add-view-diff-button-above-revisions.diff added
- File view-diff-button-above-revisions@2x.png added

- Subject changed from Put the "View Differences" button of Wiki History screen on top too to Add "View Differences" button above wiki and repository
revisions table

- Category changed from Wiki to Ul

| absolutely agree with Fernando Hartmann. Showing "View differences" button also above revisions will improve usability. In my experience, users
often compare recent revisions than older revisions. If the button is also shown above the revisions, users will be able to complete the operation in a
shorter time. To be honest, | always get irritated at scrolling down to find the button.

The attached patch adds a "View differences" button also above the revisions table on wiki and repository page.

2025-05-17 1/2




root

Name Size

subversion_test ikl

Latest revisions

&

# Date
11 o 06/20/2010 06:13 PM
10 o 09/11/2009 04:04 AM

View differences
Author

schmidt
Dave Lopper

Revision Age

[y Statistics | Revision:

Author
about 8 years schmidt adding test data for #5548

Comment

Comment

adding test data for #5548
Same file modified.

9 09/11/2009 04:04 AM Dave Lopper One file added.
. This commits references an issue.
8 09/11/2007 04:04 AM Dave Lopper Refs #2
7 09/11/2007 04:02 AM Dave Lopper Removed one file.
6 09/11/2007 04:01 AM Dave Lopper Moved helloworld.rb from / to /folder.
5 09/11/2007 04:01 AM Dave Lopper Modified one file in the folder.
2 04/12/2007 10:14 PM Dave Lopper This commit fixes #1, #2 and references #1 & #3
. A commit with wrong issue ids
3 04/12/2007 10:14 PM Dave Lopper IssuelD #666 #3
. A commit with an issue id of an other project
4 04/12/2007 10:14 PM Dave Lopper IssuelD 4 2
View differences
View all revisions
#2 - 2018-09-18 12:33 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA
- Target version set to 4.0.0
- Resolution set to Fixed
Committed.
Files
add-view-diff-button-above-revisions.diff 1.46 KB 2018-09-17 Go MAEDA
view-diff-button-above-revisions@2x.png 88.6 KB 2018-09-17 Go MAEDA
